package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0G5 extends MwfRequest<MWF0G5, MWF0G5Response> {

    @Parameter(name = "CompletationChannelID")
    MWF0G5 completationChannelID(String completationChannelID);
    @Parameter(name = "GeneratedDocumentID")
    MWF0G5 generatedDocumentID(String generatedDocumentID);
    @Parameter(name = "ProdPackageKey")
    MWF0G5 prodPackageKey(Long prodPackageKey);
}
